<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  ...attributes
>
  <:view>
    {{#if @value.add}}
      <p>
        {{t 'message-alert-survey-add-notification'}}
        <LinkTo @route='manage.articles.edit' @model={{@value.add}}>{{t
            'edit notification'
          }}</LinkTo>.
      </p>
    {{else}}
      <div class='alert alert-primary' role='alert'>
        {{t 'message-alert-survey-no-notifications'}}
      </div>
    {{/if}}
  </:view>

  <:edit>
    <div class='form-check form-switch'>
      <Input
        @type='checkbox'
        @checked={{this.checked}}
        class='form-check-input btn-switch'
        disabled={{or this.isSaving @disabled}}
        id='{{this.elementId}}-checkbox'
      />

      <label class='form-check-label' for='{{this.elementId}}-checkbox'>
        {{t 'enable all notifications'}}
      </label>
    </div>
  </:edit>
</Manage::FieldContainer>